# frozen_string_literal: true

module TaxCloud
  # Tax Codes.
  class TaxCodes
    # Administrative

    # Administrative: Gift Card/Certificate
    GIFT_CARD_CERTIFICATE = 10_005
    # Administrative: Charges by the seller for any services necessary to complete the sale other than delivery and installation
    CHARGES_BY_THE_SELLER_FOR_ANY_SERVICES_NECESSARY_TO_COMPLETE_THE_SALE_OTHER_THAN_DELIVERY_AND_INSTALLATION = 10_010
    # Administrative: Installation charges
    INSTALLATION_CHARGES = 10_040
    # Administrative: Value of trade-in
    VALUE_OF_TRADE_IN = 10_060
    # Administrative: Telecommunication nonrecurring charges
    TELECOMMUNICATION_NONRECURRING_CHARGES = 10_070
    # Administrative: Handling, crating, packing, preparation for mailing or delivery, and similar charges
    HANDLING_CRATING_PACKING_PREPARATION_FOR_MAILING_OR_DELIVERY_AND_SIMILAR_CHARGES = 11_000
    # Administrative: Transportation, shipping, postage, and similar charges
    TRANSPORTATION_SHIPPING_POSTAGE_AND_SIMILAR_CHARGES = 11_010
    # Administrative: Handling, crating, packing, preparation for mailing or delivery, and similar charges for direct mail
    HANDLING_CRATING_PACKING_PREPARATION_FOR_MAILING_OR_DELIVERY_AND_SIMILAR_CHARGES_FOR_DIRECT_MAIL = 11_020
    # Administrative: Transportation, shipping, and similar charges for direct mail
    TRANSPORTATION_SHIPPING_AND_SIMILAR_CHARGES_FOR_DIRECT_MAIL = 11_021
    # Administrative: Postage for direct mail
    POSTAGE_FOR_DIRECT_MAIL = 11_022
    # Administrative: Postage/Delivery
    POSTAGE_DELIVERY = 11_099
    # Administrative: Direct-mail related
    DIRECT_MAIL_RELATED = 11_100

    # Clothing and Related Products

    # Clothing and Related Products: Clothing
    CLOTHING = 20_010
    # Clothing and Related Products: Essential clothing priced below a state specific threshold
    ESSENTIAL_CLOTHING_PRICED_BELOW_A_STATE_SPECIFIC_THRESHOLD = 20_015
    # Clothing and Related Products: Clothing accessories or equipment
    CLOTHING_ACCESSORIES_OR_EQUIPMENT = 20_020
    # Clothing and Related Products: Protective equipment
    PROTECTIVE_EQUIPMENT = 20_030
    # Clothing and Related Products: Sport or recreational equipment
    SPORT_OR_RECREATIONAL_EQUIPMENT = 20_040
    # Clothing and Related Products: Fur clothing
    FUR_CLOTHING = 20_050

    # School Related Products

    # School Related Products: School art supply
    SCHOOL_ART_SUPPLY = 20_080
    # School Related Products: School instructional material
    SCHOOL_INSTRUCTIONAL_MATERIAL = 20_090
    # School Related Products: School computer supply
    SCHOOL_COMPUTER_SUPPLY = 20_100

    # Computer Related Products

    # Computer Related Products: Non-prewritten (custom) computer software
    NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE = 30_015
    # Computer Related Products: Non-prewritten (custom) computer software delivered electronically
    NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_DELIVERED_ELECTRONICALLY = 30_025
    # Computer Related Products: Non-prewritten (custom) computer software delivered via load and leave Mandatory computer software maintenance contracts
    NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_DELIVERED_VIA_LOAD_AND_LEAVE_MANDATORY_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS = 30_035
    # Computer Related Products: Prewritten computer software
    PREWRITTEN_COMPUTER_SOFTWARE = 30_040
    # Computer Related Products: Prewritten computer software delivered electronically
    PREWRITTEN_COMPUTER_SOFTWARE_DELIVERED_ELECTRONICALLY = 30_050
    # Computer Related Products: Prewritten computer software delivered via load and leave
    PREWRITTEN_COMPUTER_SOFTWARE_DELIVERED_VIA_LOAD_AND_LEAVE = 30_060
    # Computer Related Products: Remote Access
    REMOTE_ACCESS = 30_070
    # Computer Related Products: Computer
    COMPUTER = 30_100
    # Computer Related Products: Mandatory computer software maintenance contracts with respect to prewritten computer software
    MANDATORY_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE = 30_200
    # Computer Related Products: Mandatory computer software maintenance contracts with respect to prewritten computer software which is delivered electronically
    MANDATORY_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_WHICH_IS_DELIVERED_ELECTRONICALLY = 30_210
    # Computer Related Products: Mandatory computer software maintenance contracts with respect to prewritten computer software which is delivered via load and leave
    MANDATORY_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_WHICH_IS_DELIVERED_VIA_LOAD_AND_LEAVE = 30_220
    # Computer Related Products: Mandatory computer software maintenance contracts with respect to non-prewritten (custom) computer software
    MANDATORY_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE = 30_230
    # Computer Related Products: Mandatory computer software maintenance contracts with respect to non-prewritten (custom) software which is delivered electronically
    MANDATORY_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_SOFTWARE_WHICH_IS_DELIVERED_ELECTRONICALLY = 30_240
    # Computer Related Products: Mandatory computer software maintenance contracts with respect to non-prewritten (custom) software which is delivered via load and leave
    MANDATORY_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_SOFTWARE_WHICH_IS_DELIVERED_VIA_LOAD_AND_LEAVE = 30_250
    # Computer Related Products: Optional computer software maintenance contracts with respect to prewritten computer software that only provide updates or upgrades with respect to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_THAT_ONLY_PROVIDE_UPDATES_OR_UPGRADES_WITH_RESPECT_TO_THE_SOFTWARE = 30_300
    # Computer Related Products: Optional computer software maintenance contracts with respect to prewritten computer software that only provide updates or upgrades delivered electronically with respect to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_THAT_ONLY_PROVIDE_UPDATES_OR_UPGRADES_DELIVERED_ELECTRONICALLY_WITH_RESPECT_TO_THE_SOFTWARE = 30_310
    # Computer Related Products: Optional computer software maintenance contracts with respect to prewritten computer software that only provide updates or upgrades delivered via load and leave with respect to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_THAT_ONLY_PROVIDE_UPDATES_OR_UPGRADES_DELIVERED_VIA_LOAD_AND_LEAVE_WITH_RESPECT_TO_THE_SOFTWARE = 30_320
    # Computer Related Products: Optional computer software maintenance contracts with respect to non-prewritten (custom) computer software that only provide updates or upgrades with respect to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_THAT_ONLY_PROVIDE_UPDATES_OR_UPGRADES_WITH_RESPECT_TO_THE_SOFTWARE = 30_330
    # Computer Related Products: Optional computer software maintenance contracts with respect to non-prewritten (custom) computer software that only provide updates or upgrades delivered electronically with respect to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_THAT_ONLY_PROVIDE_UPDATES_OR_UPGRADES_DELIVERED_ELECTRONICALLY_WITH_RESPECT_TO_THE_SOFTWARE = 30_340
    # Computer Related Products: Optional computer software maintenance contracts with respect to non-prewritten (custom) computer software that only provide updates or upgrades delivered via load and leave with respect to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_THAT_ONLY_PROVIDE_UPDATES_OR_UPGRADES_DELIVERED_VIA_LOAD_AND_LEAVE_WITH_RESPECT_TO_THE_SOFTWARE = 30_350
    # Computer Related Products: Optional computer software maintenance contracts with respect to non-prewritten (custom) computer software that only provide support services to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_THAT_ONLY_PROVIDE_SUPPORT_SERVICES_TO_THE_SOFTWARE = 30_360
    # Computer Related Products: Optional computer software maintenance contracts with respect to non-prewritten (custom) computer software that provide updates or upgrades and support services to the softwareAppendix E
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_THAT_PROVIDE_UPDATES_OR_UPGRADES_AND_SUPPORT_SERVICES_TO_THE_SOFTWAREAPPENDIX_E = 30_370
    # Computer Related Products: Optional computer software maintenance contracts with respect to non-prewritten (custom) computer software that provide updates or upgrades delivered electronically and support services to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_THAT_PROVIDE_UPDATES_OR_UPGRADES_DELIVERED_ELECTRONICALLY_AND_SUPPORT_SERVICES_TO_THE_SOFTWARE = 30_380
    # Computer Related Products: Optional computer software maintenance contracts with respect to non-prewritten (custom) computer software provide updates or upgrades delivered via load and leave and support services to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_NON_PREWRITTEN_CUSTOM_COMPUTER_SOFTWARE_PROVIDE_UPDATES_OR_UPGRADES_DELIVERED_VIA_LOAD_AND_LEAVE_AND_SUPPORT_SERVICES_TO_THE_SOFTWARE = 30_390
    # Computer Related Products: Optional computer software maintenance contracts with respect to prewritten computer software that provide updates or upgrades and support services to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_THAT_PROVIDE_UPDATES_OR_UPGRADES_AND_SUPPORT_SERVICES_TO_THE_SOFTWARE = 30_400
    # Computer Related Products: Optional computer software maintenance contracts with respect to prewritten computer software that provide updates and upgrades delivered electronically and support services to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_THAT_PROVIDE_UPDATES_AND_UPGRADES_DELIVERED_ELECTRONICALLY_AND_SUPPORT_SERVICES_TO_THE_SOFTWARE = 30_410
    # Computer Related Products: Optional computer software maintenance contracts with respect to prewritten computer software that provide updates and upgrades delivered via load and leave and support services to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_THAT_PROVIDE_UPDATES_AND_UPGRADES_DELIVERED_VIA_LOAD_AND_LEAVE_AND_SUPPORT_SERVICES_TO_THE_SOFTWARE = 30_420
    # Computer Related Products: Optional computer software maintenance contracts with respect to prewritten computer software that only provide support services to the software
    OPTIONAL_COMPUTER_SOFTWARE_MAINTENANCE_CONTRACTS_WITH_RESPECT_TO_PREWRITTEN_COMPUTER_SOFTWARE_THAT_ONLY_PROVIDE_SUPPORT_SERVICES_TO_THE_SOFTWARE = 30_430

    # Digital Products

    # Digital Products: Products Transferred Electronically
    PRODUCTS_TRANSFERRED_ELECTRONICALLY = 31_000
    # Digital Products: Audio-Visual Works
    AUDIO_VISUAL_WORKS = 31_035
    # Digital Products: Digital Audio Visual Works (with rights for permanent use)
    DIGITAL_AUDIO_VISUAL_WORKS_WITH_RIGHTS_FOR_PERMANENT_USE = 31_040
    # Digital Products: Digital Audio Visual Works (with rights of less than permanent use)
    DIGITAL_AUDIO_VISUAL_WORKS_WITH_RIGHTS_OF_LESS_THAN_PERMANENT_USE = 31_050
    # Digital Products: Digital Audio Visual Works (with rights conditioned on continued payments)
    DIGITAL_AUDIO_VISUAL_WORKS_WITH_RIGHTS_CONDITIONED_ON_CONTINUED_PAYMENTS = 31_060
    # Digital Products: Digital Audio Visual Works sold to users other than the end user
    DIGITAL_AUDIO_VISUAL_WORKS_SOLD_TO_USERS_OTHER_THAN_THE_END_USER = 31_065
    # Digital Products: Audio Works
    AUDIO_WORKS = 31_069
    # Digital Products: Digital Audio Works (with rights for permanent use)
    DIGITAL_AUDIO_WORKS_WITH_RIGHTS_FOR_PERMANENT_USE = 31_070
    # Digital Products: Digital Audio Works (with rights of less than permanent use)
    DIGITAL_AUDIO_WORKS_WITH_RIGHTS_OF_LESS_THAN_PERMANENT_USE = 31_080
    # Digital Products: Digital Audio Works (with rights conditioned on continued payments)
    DIGITAL_AUDIO_WORKS_WITH_RIGHTS_CONDITIONED_ON_CONTINUED_PAYMENTS = 31_090
    # Digital Products: Digital Audio Works sold to users other than the end user
    DIGITAL_AUDIO_WORKS_SOLD_TO_USERS_OTHER_THAN_THE_END_USER = 31_095
    # Digital Products: Digital Books
    DIGITAL_BOOKS = 31_099
    # Digital Products: Digital Books (with rights for permanent use)
    DIGITAL_BOOKS_WITH_RIGHTS_FOR_PERMANENT_USE = 31_100
    # Digital Products: Digital Books (with rights of less than permanent use)
    DIGITAL_BOOKS_WITH_RIGHTS_OF_LESS_THAN_PERMANENT_USE = 31_110
    # Digital Products: Digital Books (with rights conditioned on continued payments)
    DIGITAL_BOOKS_WITH_RIGHTS_CONDITIONED_ON_CONTINUED_PAYMENTS = 31_120
    # Digital Products: Digital Books sold to users other than the end user
    DIGITAL_BOOKS_SOLD_TO_USERS_OTHER_THAN_THE_END_USER = 31_125

    # Food and Food Products

    # Food and Food Products: Candy
    CANDY = 40_010
    # Food and Food Products: Dietary Supplements
    DIETARY_SUPPLEMENTS = 40_020
    # Food and Food Products: Food and food ingredients excluding alcoholic beverages and tobacco
    FOOD_AND_FOOD_INGREDIENTS_EXCLUDING_ALCOHOLIC_BEVERAGES_AND_TOBACCO = 40_030
    # Food and Food Products: Food sold through vending machines
    FOOD_SOLD_THROUGH_VENDING_MACHINES = 40_040
    # Food and Food Products: Soft Drinks
    SOFT_DRINKS = 40_050
    # Food and Food Products: Bottled Water
    BOTTLED_WATER = 40_060

    # Prepared Food

    # Prepared Food: Prepared Food
    PREPARED_FOOD = 41_000
    # Prepared Food: Food sold without eating utensils provided by the seller whose primary NAICS classification is manufacturing in sector 311, except subsector 3118 (bakeries)
    FOOD_SOLD_WITHOUT_EATING_UTENSILS_PROVIDED_BY_THE_SELLER_WHOSE_PRIMARY_NAICS_CLASSIFICATION_IS_MANUFACTURING_IN_SECTOR_311_EXCEPT_SUBSECTOR_3118_BAKERIES = 41_010
    # Prepared Food: Food sold without eating utensils provided by the seller in an unheated state by weight or volume as a single item
    FOOD_SOLD_WITHOUT_EATING_UTENSILS_PROVIDED_BY_THE_SELLER_IN_AN_UNHEATED_STATE_BY_WEIGHT_OR_VOLUME_AS_A_SINGLE_ITEM = 41_020
    # Prepared Food: Bakery items sold without eating utensils provided by the seller, including bread, rolls, buns, biscuits, bagels, croissants, pastries, donuts, Danish, cakes, tortes, pies, tarts, muffins, bars, cookies, tortillas
    BAKERY_ITEMS_SOLD_WITHOUT_EATING_UTENSILS_PROVIDED_BY_THE_SELLER_INCLUDING_BREAD_ROLLS_BUNS_BISCUITS_BAGELS_CROISSANTS_PASTRIES_DONUTS_DANISH_CAKES_TORTES_PIES_TARTS_MUFFINS_BARS_COOKIES_TORTILLAS = 41_030

    # Drugs

    # Drugs: Drugs/Pharmaceuticals
    DRUGS_PHARMACEUTICALS = 51_000
    # Drugs: Human use
    HUMAN_USE = 51_001
    # Drugs: Animal/Veterinary use
    ANIMAL_VETERINARY_USE = 51_002
    # Drugs: Drugs for human use without a prescription
    DRUGS_FOR_HUMAN_USE_WITHOUT_A_PRESCRIPTION = 51_010
    # Drugs: Drugs for human use with a prescription
    DRUGS_FOR_HUMAN_USE_WITH_A_PRESCRIPTION = 51_020
    # Drugs: Drugs for animal use without a prescription
    DRUGS_FOR_ANIMAL_USE_WITHOUT_A_PRESCRIPTION = 51_030
    # Drugs: Drugs for animal use with a prescription
    DRUGS_FOR_ANIMAL_USE_WITH_A_PRESCRIPTION = 51_040
    # Drugs: Insulin for human use without a prescription
    INSULIN_FOR_HUMAN_USE_WITHOUT_A_PRESCRIPTION = 51_050
    # Drugs: Insulin
    INSULIN = 51_055
    # Drugs: Insulin for human use with a prescription
    INSULIN_FOR_HUMAN_USE_WITH_A_PRESCRIPTION = 51_060
    # Drugs: Insulin for animal use without a prescription
    INSULIN_FOR_ANIMAL_USE_WITHOUT_A_PRESCRIPTION = 51_070
    # Drugs: Insulin
    INSULIN_1 = 51_075
    # Drugs: Insulin for animal use with a prescription
    INSULIN_FOR_ANIMAL_USE_WITH_A_PRESCRIPTION = 51_080
    # Drugs: Medical oxygen for human use without a prescription
    MEDICAL_OXYGEN_FOR_HUMAN_USE_WITHOUT_A_PRESCRIPTION = 51_090
    # Drugs: Oxygen
    OXYGEN = 51_095
    # Drugs: Medical oxygen for human use with a prescription
    MEDICAL_OXYGEN_FOR_HUMAN_USE_WITH_A_PRESCRIPTION = 51_100
    # Drugs: Medical oxygen for animal use without a prescription
    MEDICAL_OXYGEN_FOR_ANIMAL_USE_WITHOUT_A_PRESCRIPTION = 51_110
    # Drugs: Oxygen
    OXYGEN_1 = 51_115
    # Drugs: Medical oxygen for animal use with a prescription
    MEDICAL_OXYGEN_FOR_ANIMAL_USE_WITH_A_PRESCRIPTION = 51_120
    # Drugs: Over-the-counter drugs for human use without a prescription
    OVER_THE_COUNTER_DRUGS_FOR_HUMAN_USE_WITHOUT_A_PRESCRIPTION = 51_130
    # Drugs: Over-the-counter
    OVER_THE_COUNTER = 51_135
    # Drugs: Over-the-counter drugs for human use with a prescription
    OVER_THE_COUNTER_DRUGS_FOR_HUMAN_USE_WITH_A_PRESCRIPTION = 51_140
    # Drugs: Over-the-counter drugs for animal use without a prescription
    OVER_THE_COUNTER_DRUGS_FOR_ANIMAL_USE_WITHOUT_A_PRESCRIPTION = 51_150
    # Drugs: Over-the-counter
    OVER_THE_COUNTER_1 = 51_155
    # Drugs: Over-the-counter drugs for animal use with a prescription
    OVER_THE_COUNTER_DRUGS_FOR_ANIMAL_USE_WITH_A_PRESCRIPTION = 51_160
    # Drugs: Grooming and hygiene products for human use
    GROOMING_AND_HYGIENE_PRODUCTS_FOR_HUMAN_USE = 51_170
    # Drugs: Grooming and hygiene products for animal use
    GROOMING_AND_HYGIENE_PRODUCTS_FOR_ANIMAL_USE = 51_180
    # Drugs: Drugs for human use to hospitals
    DRUGS_FOR_HUMAN_USE_TO_HOSPITALS = 51_190
    # Drugs: Drugs for human use to other medical facilities
    DRUGS_FOR_HUMAN_USE_TO_OTHER_MEDICAL_FACILITIES = 51_195
    # Drugs: Prescription drugs for human use to hospitals
    PRESCRIPTION_DRUGS_FOR_HUMAN_USE_TO_HOSPITALS = 51_200
    # Drugs: Prescription drugs for human use to other medical facilities
    PRESCRIPTION_DRUGS_FOR_HUMAN_USE_TO_OTHER_MEDICAL_FACILITIES = 51_205
    # Drugs: Drugs for animal use to veterinary hospitals and other animal medical facilities
    DRUGS_FOR_ANIMAL_USE_TO_VETERINARY_HOSPITALS_AND_OTHER_ANIMAL_MEDICAL_FACILITIES = 51_210
    # Drugs: Prescription drugs for animal use to hospitals and other animal medical facilities
    PRESCRIPTION_DRUGS_FOR_ANIMAL_USE_TO_HOSPITALS_AND_OTHER_ANIMAL_MEDICAL_FACILITIES = 51_220
    # Drugs: Free samples of drugs for human use
    FREE_SAMPLES_OF_DRUGS_FOR_HUMAN_USE = 51_240
    # Drugs: Free Samples
    FREE_SAMPLES = 51_245
    # Drugs: Free samples of prescription drugs for human use
    FREE_SAMPLES_OF_PRESCRIPTION_DRUGS_FOR_HUMAN_USE = 51_250
    # Drugs: Free samples of drugs for animal use
    FREE_SAMPLES_OF_DRUGS_FOR_ANIMAL_USE = 51_260
    # Drugs: Free Samples
    FREE_SAMPLES_1 = 51_265
    # Drugs: Free samples of prescription drugs for animal use
    FREE_SAMPLES_OF_PRESCRIPTION_DRUGS_FOR_ANIMAL_USE = 51_270

    # Durable Medical Equipment

    # Durable Medical Equipment: Durable medical equipment
    DURABLE_MEDICAL_EQUIPMENT = 52_000
    # Durable Medical Equipment: for Commercial/Industrial/Civic use
    FOR_COMMERCIAL_INDUSTRIAL_CIVIC_USE = 52_005
    # Durable Medical Equipment: Durable medical equipment without a prescription
    DURABLE_MEDICAL_EQUIPMENT_WITHOUT_A_PRESCRIPTION = 52_010
    # Durable Medical Equipment: Durable medical equipment with a prescription
    DURABLE_MEDICAL_EQUIPMENT_WITH_A_PRESCRIPTION = 52_020
    # Durable Medical Equipment: Durable medical equipment with a prescription paid for by Medicare
    DURABLE_MEDICAL_EQUIPMENT_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 52_030
    # Durable Medical Equipment: Durable medical equipment with a prescription reimbursed by Medicare
    DURABLE_MEDICAL_EQUIPMENT_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 52_040
    # Durable Medical Equipment: Durable medical equipment with a prescription paid for by MedicaidAppendix E
    DURABLE_MEDICAL_EQUIPMENT_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAIDAPPENDIX_E = 52_050
    # Durable Medical Equipment: Durable medical equipment with a prescription reimbursed by Medicaid
    DURABLE_MEDICAL_EQUIPMENT_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 52_060
    # Durable Medical Equipment: for home use
    FOR_HOME_USE = 52_065
    # Durable Medical Equipment: Durable medical equipment for home use without a prescription
    DURABLE_MEDICAL_EQUIPMENT_FOR_HOME_USE_WITHOUT_A_PRESCRIPTION = 52_070
    # Durable Medical Equipment: Durable medical equipment for home use with a prescription
    DURABLE_MEDICAL_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION = 52_080
    # Durable Medical Equipment: Durable medical equipment for home use with a prescription paid for by Medicare
    DURABLE_MEDICAL_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 52_090
    # Durable Medical Equipment: Durable medical equipment for home use with a prescription reimbursed by Medicare
    DURABLE_MEDICAL_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 52_100
    # Durable Medical Equipment: Durable medical equipment for home use with a prescription paid for by Medicaid
    DURABLE_MEDICAL_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 52_110
    # Durable Medical Equipment: Durable medical equipment for home use with a prescription reimbursed by Medicaid
    DURABLE_MEDICAL_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 52_120
    # Durable Medical Equipment: Oxygen delivery equipment
    OXYGEN_DELIVERY_EQUIPMENT = 52_125
    # Durable Medical Equipment: for Commercial/Industrial/Civic use
    FOR_COMMERCIAL_INDUSTRIAL_CIVIC_USE_1 = 52_128
    # Durable Medical Equipment: Oxygen delivery equipment without a prescription
    OXYGEN_DELIVERY_EQUIPMENT_WITHOUT_A_PRESCRIPTION = 52_130
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION = 52_140
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription paid for by Medicare
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 52_150
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription reimbursed by Medicare
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 52_160
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription paid for by Medicaid
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 52_170
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription reimbursed by Medicaid
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 52_180
    # Durable Medical Equipment: for home use
    FOR_HOME_USE_1 = 52_185
    # Durable Medical Equipment: Oxygen delivery equipment for home use without a prescription
    OXYGEN_DELIVERY_EQUIPMENT_FOR_HOME_USE_WITHOUT_A_PRESCRIPTION = 52_190
    # Durable Medical Equipment: Oxygen delivery equipment for home use with a prescription
    OXYGEN_DELIVERY_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION = 52_200
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription for home use paid for by Medicare
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION_FOR_HOME_USE_PAID_FOR_BY_MEDICARE = 52_210
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription for home use reimbursed by Medicare
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION_FOR_HOME_USE_REIMBURSED_BY_MEDICARE = 52_220
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription for home use paid for by Medicaid
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION_FOR_HOME_USE_PAID_FOR_BY_MEDICAID = 52_230
    # Durable Medical Equipment: Oxygen delivery equipment with a prescription for home use reimbursed by Medicaid
    OXYGEN_DELIVERY_EQUIPMENT_WITH_A_PRESCRIPTION_FOR_HOME_USE_REIMBURSED_BY_MEDICAID = 52_240
    # Durable Medical Equipment: Kidney dialysis equipment
    KIDNEY_DIALYSIS_EQUIPMENT = 52_245
    # Durable Medical Equipment: for Commercial/Industrial/Civic use
    FOR_COMMERCIAL_INDUSTRIAL_CIVIC_USE_2 = 52_248
    # Durable Medical Equipment: Kidney dialysis equipment without a prescription
    KIDNEY_DIALYSIS_EQUIPMENT_WITHOUT_A_PRESCRIPTION = 52_250
    # Durable Medical Equipment: Kidney dialysis equipment with a prescription
    KIDNEY_DIALYSIS_EQUIPMENT_WITH_A_PRESCRIPTION = 52_260
    # Durable Medical Equipment: Kidney dialysis equipment with a prescription paid for by Medicare
    KIDNEY_DIALYSIS_EQUIPMENT_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 52_270
    # Durable Medical Equipment: Kidney dialysis equipment with a prescription reimbursed by Medicare
    KIDNEY_DIALYSIS_EQUIPMENT_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 52_280
    # Durable Medical Equipment: Kidney dialysis equipment with a prescription paid for by Medicaid
    KIDNEY_DIALYSIS_EQUIPMENT_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 52_290
    # Durable Medical Equipment: Kidney dialysis equipment with a prescription reimbursed by Medicaid
    KIDNEY_DIALYSIS_EQUIPMENT_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 52_300
    # Durable Medical Equipment: for home use
    FOR_HOME_USE_2 = 52_305
    # Durable Medical Equipment: Kidney dialysis equipment for home use without a prescription
    KIDNEY_DIALYSIS_EQUIPMENT_FOR_HOME_USE_WITHOUT_A_PRESCRIPTION = 52_310
    # Durable Medical Equipment: Kidney dialysis equipment for home use with a prescription
    KIDNEY_DIALYSIS_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION = 52_320
    # Durable Medical Equipment: Kidney dialysis equipment for home use with a prescription paid for by Medicare
    KIDNEY_DIALYSIS_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 52_330
    # Durable Medical Equipment: Kidney dialysis equipment for home use with a prescription reimbursed by Medicare
    KIDNEY_DIALYSIS_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 52_340
    # Durable Medical Equipment: Kidney dialysis equipment for home use with a prescription paid for by Medicaid
    KIDNEY_DIALYSIS_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 52_350
    # Durable Medical Equipment: Kidney dialysis equipment for home use with a prescription reimbursed by Medicaid
    KIDNEY_DIALYSIS_EQUIPMENT_FOR_HOME_USE_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 52_360
    # Durable Medical Equipment: Enteral feeding systems
    ENTERAL_FEEDING_SYSTEMS = 52_365
    # Durable Medical Equipment: for Commercial/Industrial/Civic use
    FOR_COMMERCIAL_INDUSTRIAL_CIVIC_USE_3 = 52_368
    # Durable Medical Equipment: Enteral feeding systems without a prescription
    ENTERAL_FEEDING_SYSTEMS_WITHOUT_A_PRESCRIPTION = 52_370
    # Durable Medical Equipment: Enteral feeding systems with a prescription
    ENTERAL_FEEDING_SYSTEMS_WITH_A_PRESCRIPTION = 52_380
    # Durable Medical Equipment: Enteral feeding systems with a prescription paid for by Medicare
    ENTERAL_FEEDING_SYSTEMS_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 52_390
    # Durable Medical Equipment: Enteral feeding systems with a prescription reimbursed by Medicare
    ENTERAL_FEEDING_SYSTEMS_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 52_400
    # Durable Medical Equipment: Enteral feeding systems with a prescription paid for by Medicaid
    ENTERAL_FEEDING_SYSTEMS_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 52_410
    # Durable Medical Equipment: Enteral feeding systems with a prescription reimbursed by Medicaid
    ENTERAL_FEEDING_SYSTEMS_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 52_420
    # Durable Medical Equipment: for home use
    FOR_HOME_USE_3 = 52_425
    # Durable Medical Equipment: Enteral feeding systems for home use without a prescription
    ENTERAL_FEEDING_SYSTEMS_FOR_HOME_USE_WITHOUT_A_PRESCRIPTION = 52_430
    # Durable Medical Equipment: Enteral feeding systems for home use with a prescription
    ENTERAL_FEEDING_SYSTEMS_FOR_HOME_USE_WITH_A_PRESCRIPTION = 52_440
    # Durable Medical Equipment: Enteral feeding systems for home use with a prescription paid for by Medicare
    ENTERAL_FEEDING_SYSTEMS_FOR_HOME_USE_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 52_450
    # Durable Medical Equipment: Enteral feeding systems for home use with a prescription reimbursed by Medicare
    ENTERAL_FEEDING_SYSTEMS_FOR_HOME_USE_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 52_460
    # Durable Medical Equipment: Enteral feeding systems for home use with a prescription paid for by Medicaid
    ENTERAL_FEEDING_SYSTEMS_FOR_HOME_USE_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 52_470
    # Durable Medical Equipment: Enteral feeding systems for home use with a prescription reimbursed by Medicaid
    ENTERAL_FEEDING_SYSTEMS_FOR_HOME_USE_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 52_480
    # Durable Medical Equipment: Repair and replacement parts for durable medical equipment which are for single patient use
    REPAIR_AND_REPLACEMENT_PARTS_FOR_DURABLE_MEDICAL_EQUIPMENT_WHICH_ARE_FOR_SINGLE_PATIENT_USE = 52_490

    # Mobilty Enhancing Equipment

    # Mobilty Enhancing Equipment: Mobility enhancing equipment
    MOBILITY_ENHANCING_EQUIPMENT = 53_000
    # Mobilty Enhancing Equipment: Mobility enhancing equipment without a prescription
    MOBILITY_ENHANCING_EQUIPMENT_WITHOUT_A_PRESCRIPTION = 53_010
    # Mobilty Enhancing Equipment: Mobility enhancing equipment with a prescriptionAppendix E
    MOBILITY_ENHANCING_EQUIPMENT_WITH_A_PRESCRIPTIONAPPENDIX_E = 53_020
    # Mobilty Enhancing Equipment: Mobility enhancing equipment with a prescription paid for by Medicare
    MOBILITY_ENHANCING_EQUIPMENT_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 53_030
    # Mobilty Enhancing Equipment: Mobility enhancing equipment with a prescription reimbursed by Medicare
    MOBILITY_ENHANCING_EQUIPMENT_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 53_040
    # Mobilty Enhancing Equipment: Mobility enhancing equipment with a prescription paid for by Medicaid
    MOBILITY_ENHANCING_EQUIPMENT_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 53_050
    # Mobilty Enhancing Equipment: Mobility enhancing equipment with a prescription reimbursed by Medicaid
    MOBILITY_ENHANCING_EQUIPMENT_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 53_060

    # Prosthetic Devices

    # Prosthetic Devices: Prosthetic devices
    PROSTHETIC_DEVICES = 54_000
    # Prosthetic Devices: Prosthetic devices without a prescription
    PROSTHETIC_DEVICES_WITHOUT_A_PRESCRIPTION = 54_010
    # Prosthetic Devices: Prosthetic devices with a prescription
    PROSTHETIC_DEVICES_WITH_A_PRESCRIPTION = 54_020
    # Prosthetic Devices: Prosthetic devices paid with a prescription for by Medicare
    PROSTHETIC_DEVICES_PAID_WITH_A_PRESCRIPTION_FOR_BY_MEDICARE = 54_030
    # Prosthetic Devices: Prosthetic devices with a prescription reimbursed by Medicare
    PROSTHETIC_DEVICES_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 54_040
    # Prosthetic Devices: Prosthetic devices with a prescription paid for by Medicaid
    PROSTHETIC_DEVICES_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 54_050
    # Prosthetic Devices: Prosthetic devices with a prescription reimbursed by Medicaid
    PROSTHETIC_DEVICES_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 54_060
    # Prosthetic Devices: Corrective eyeglasses
    CORRECTIVE_EYEGLASSES = 54_065
    # Prosthetic Devices: Corrective eyeglasses without a prescription
    CORRECTIVE_EYEGLASSES_WITHOUT_A_PRESCRIPTION = 54_070
    # Prosthetic Devices: Corrective eyeglasses with a prescription
    CORRECTIVE_EYEGLASSES_WITH_A_PRESCRIPTION = 54_080
    # Prosthetic Devices: Corrective eyeglasses with a prescription paid for by Medicare
    CORRECTIVE_EYEGLASSES_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 54_090
    # Prosthetic Devices: Corrective eyeglasses with a prescription reimbursed by Medicare
    CORRECTIVE_EYEGLASSES_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 54_100
    # Prosthetic Devices: Corrective eyeglasses with a prescription paid for by Medicaid
    CORRECTIVE_EYEGLASSES_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 54_110
    # Prosthetic Devices: Corrective eyeglasses with a prescription reimbursed by Medicaid
    CORRECTIVE_EYEGLASSES_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 54_120
    # Prosthetic Devices: Contact lenses
    CONTACT_LENSES = 54_125
    # Prosthetic Devices: Contact lenses without a prescription
    CONTACT_LENSES_WITHOUT_A_PRESCRIPTION = 54_130
    # Prosthetic Devices: Contact lenses with a prescription
    CONTACT_LENSES_WITH_A_PRESCRIPTION = 54_140
    # Prosthetic Devices: Contact lenses with a prescription paid for by Medicare
    CONTACT_LENSES_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 54_150
    # Prosthetic Devices: Contact lenses with a prescription reimbursed by Medicare
    CONTACT_LENSES_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 54_160
    # Prosthetic Devices: Contact lenses with a prescription paid for by Medicaid
    CONTACT_LENSES_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 54_170
    # Prosthetic Devices: Contact lenses with a prescription reimbursed by Medicaid
    CONTACT_LENSES_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 54_180
    # Prosthetic Devices: Hearing aids
    HEARING_AIDS = 54_185
    # Prosthetic Devices: Hearing aids without a prescription
    HEARING_AIDS_WITHOUT_A_PRESCRIPTION = 54_190
    # Prosthetic Devices: Hearing aids with a prescription
    HEARING_AIDS_WITH_A_PRESCRIPTION = 54_200
    # Prosthetic Devices: Hearing aids with a prescription paid for by Medicare
    HEARING_AIDS_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 54_210
    # Prosthetic Devices: Hearing aids with a prescription reimbursed by Medicare
    HEARING_AIDS_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 54_220
    # Prosthetic Devices: Hearing aids with a prescription paid for by Medicaid
    HEARING_AIDS_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 54_230
    # Prosthetic Devices: Hearing aids with a prescription reimbursed by Medicaid
    HEARING_AIDS_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 54_240
    # Prosthetic Devices: Dental prosthesis
    DENTAL_PROSTHESIS = 54_245
    # Prosthetic Devices: Dental prosthesis without a prescription
    DENTAL_PROSTHESIS_WITHOUT_A_PRESCRIPTION = 54_250
    # Prosthetic Devices: Dental prosthesis with a prescription
    DENTAL_PROSTHESIS_WITH_A_PRESCRIPTION = 54_260
    # Prosthetic Devices: Dental prosthesis with a prescription paid for by Medicare
    DENTAL_PROSTHESIS_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICARE = 54_270
    # Prosthetic Devices: Dental prosthesis with a prescription reimbursed by Medicare
    DENTAL_PROSTHESIS_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICARE = 54_280
    # Prosthetic Devices: Dental prosthesis with a prescription paid for by Medicaid
    DENTAL_PROSTHESIS_WITH_A_PRESCRIPTION_PAID_FOR_BY_MEDICAID = 54_290
    # Prosthetic Devices: Dental prosthesis with a prescription reimbursed by Medicaid
    DENTAL_PROSTHESIS_WITH_A_PRESCRIPTION_REIMBURSED_BY_MEDICAID = 54_300

    # Telecommunications

    # Telecommunications: Ancillary Services
    ANCILLARY_SERVICES = 60_010
    # Telecommunications: Conference bridging service
    CONFERENCE_BRIDGING_SERVICE = 60_020
    # Telecommunications: Detailed telecommunications billing service
    DETAILED_TELECOMMUNICATIONS_BILLING_SERVICE = 60_030
    # Telecommunications: Directory assistance
    DIRECTORY_ASSISTANCE = 60_040
    # Telecommunications: Vertical service
    VERTICAL_SERVICE = 60_050
    # Telecommunications: Voice mail service
    VOICE_MAIL_SERVICE = 60_060
    # Telecommunications: Intrastate Telecommunications Service
    INTRASTATE_TELECOMMUNICATIONS_SERVICE = 61_000
    # Telecommunications: Interstate Telecommunications ServiceAppendix E
    INTERSTATE_TELECOMMUNICATIONS_SERVICEAPPENDIX_E = 61_010
    # Telecommunications: International Telecommunications Service
    INTERNATIONAL_TELECOMMUNICATIONS_SERVICE = 61_020
    # Telecommunications: International 800 service
    INTERNATIONAL_800_SERVICE = 61_030
    # Telecommunications: International 900 service
    INTERNATIONAL_900_SERVICE = 61_040
    # Telecommunications: International fixed wireless service
    INTERNATIONAL_FIXED_WIRELESS_SERVICE = 61_050
    # Telecommunications: International mobile wireless service
    INTERNATIONAL_MOBILE_WIRELESS_SERVICE = 61_060
    # Telecommunications: International paging service
    INTERNATIONAL_PAGING_SERVICE = 61_070
    # Telecommunications: International prepaid calling service
    INTERNATIONAL_PREPAID_CALLING_SERVICE = 61_080
    # Telecommunications: International prepaid wireless calling service
    INTERNATIONAL_PREPAID_WIRELESS_CALLING_SERVICE = 61_090
    # Telecommunications: International private communications service
    INTERNATIONAL_PRIVATE_COMMUNICATIONS_SERVICE = 61_100
    # Telecommunications: International value-added non-voice data service
    INTERNATIONAL_VALUE_ADDED_NON_VOICE_DATA_SERVICE = 61_110
    # Telecommunications: International residential telecommunications service
    INTERNATIONAL_RESIDENTIAL_TELECOMMUNICATIONS_SERVICE = 61_120
    # Telecommunications: Interstate 800 service
    INTERSTATE_800_SERVICE = 61_130
    # Telecommunications: Interstate 900 service
    INTERSTATE_900_SERVICE = 61_140
    # Telecommunications: Interstate fixed wireless service
    INTERSTATE_FIXED_WIRELESS_SERVICE = 61_150
    # Telecommunications: Interstate mobile wireless service
    INTERSTATE_MOBILE_WIRELESS_SERVICE = 61_160
    # Telecommunications: Interstate paging service
    INTERSTATE_PAGING_SERVICE = 61_170
    # Telecommunications: Interstate prepaid calling service
    INTERSTATE_PREPAID_CALLING_SERVICE = 61_180
    # Telecommunications: Interstate prepaid wireless calling service
    INTERSTATE_PREPAID_WIRELESS_CALLING_SERVICE = 61_190
    # Telecommunications: Interstate private communications service
    INTERSTATE_PRIVATE_COMMUNICATIONS_SERVICE = 61_200
    # Telecommunications: Interstate value-added non-voice data service
    INTERSTATE_VALUE_ADDED_NON_VOICE_DATA_SERVICE = 61_210
    # Telecommunications: Interstate residential telecommunications service
    INTERSTATE_RESIDENTIAL_TELECOMMUNICATIONS_SERVICE = 61_220
    # Telecommunications: Intrastate 800 service
    INTRASTATE_800_SERVICE = 61_230
    # Telecommunications: Intrastate 900 service
    INTRASTATE_900_SERVICE = 61_240
    # Telecommunications: Intrastate fixed wireless service
    INTRASTATE_FIXED_WIRELESS_SERVICE = 61_250
    # Telecommunications: Intrastate mobile wireless service
    INTRASTATE_MOBILE_WIRELESS_SERVICE = 61_260
    # Telecommunications: Intrastate paging service
    INTRASTATE_PAGING_SERVICE = 61_270
    # Telecommunications: Intrastate prepaid calling service
    INTRASTATE_PREPAID_CALLING_SERVICE = 61_280
    # Telecommunications: Intrastate prepaid wireless calling service
    INTRASTATE_PREPAID_WIRELESS_CALLING_SERVICE = 61_290
    # Telecommunications: Intrastate private communications service
    INTRASTATE_PRIVATE_COMMUNICATIONS_SERVICE = 61_300
    # Telecommunications: Intrastate value-added non-voice data service
    INTRASTATE_VALUE_ADDED_NON_VOICE_DATA_SERVICE = 61_310
    # Telecommunications: Intrastate residential telecommunications service
    INTRASTATE_RESIDENTIAL_TELECOMMUNICATIONS_SERVICE = 61_320
    # Telecommunications: Paging service
    PAGING_SERVICE = 61_325
    # Telecommunications: Coin-operated telephone service
    COIN_OPERATED_TELEPHONE_SERVICE = 61_330
    # Telecommunications: Pay telephone service
    PAY_TELEPHONE_SERVICE = 61_340
    # Telecommunications: Local Service as defined by state
    LOCAL_SERVICE_AS_DEFINED_BY_STATE = 61_350
  end
end
